Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core
Class OperationalStringException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jini.rio.core.OperationalStringException

All Implemented Interfaces:
  Serializable

    public class OperationalStringException

extends Exception

This exceptrion is thrown by an OperationalStringManager if there are errors performing management on an OperationalString

See Also:
  Serialized Form

Constructor Summary
`OperationalStringException()` Constructs an OperationalStringException with no detail message.
`OperationalStringException(String reason)` Constructs an OperationalStringException with the specified detail message.
`OperationalStringException(String s, Throwable cause)` Constructs a `OperationalStringException` with the specified detail message and optional exception that was raised while instantiating the JSB

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperationalStringException

    public OperationalStringException(String s,
                                      Throwable cause)

  Constructs a `OperationalStringException` with the specified detail message and optional exception that was raised while instantiating the JSB

  Parameters:
    `s` - the detail message
    `cause` - the exception that was raised while instantiating the JSB

### OperationalStringException

    public OperationalStringException(String reason)

  Constructs an OperationalStringException with the specified detail message.

  Parameters:
    `reason` - The reason for the exception

### OperationalStringException

    public OperationalStringException()

  Constructs an OperationalStringException with no detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.